Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#70502 - [anki] does not run - missing `flask` but trying to install one in conflict with python-gdbgui

Attached to Project: Community Packages
Opened by Grzegorz Wierzowiecki (gwpl) - Sunday, 18 April 2021, 19:22 GMT
Last edited by Antonio Rojas (arojas) - Sunday, 18 April 2021, 19:47 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:


Additional info:
* package version(s)
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:

```
$ pacman -S anki
$ anki
Traceback (most recent call last):
File "/usr/bin/anki", line 3, in <module>
import aqt
File "/usr/lib/python3.9/site-packages/aqt/__init__.py", line 44, in <module>
from aqt.main import AnkiQt # isort:skip
File "/usr/lib/python3.9/site-packages/aqt/main.py", line 22, in <module>
import aqt.mediasrv
File "/usr/lib/python3.9/site-packages/aqt/mediasrv.py", line 16, in <module>
import flask
ModuleNotFoundError: No module named 'flask'
```

I have no clue if it's related but when I tried to install python-flask I got:

```
sudo pacman -S python-flask
resolving dependencies...
looking for conflicting packages...
:: python-flask and python-flask12 are in conflict. Remove python-flask12? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: removing python-flask12 breaks dependency 'python-flask12' required by python-flask-socketio2
:: removing python-flask12 breaks dependency 'python-flask12' required by python-gdbgui
```
This task depends upon

Closed by  Antonio Rojas (arojas)
Sunday, 18 April 2021, 19:47 GMT
Reason for closing:  Not a bug
Additional comments about closing:  Use the forum or mailing list for support

Loading...